Name:           replxx
Version:        0.0.4
Release:        2%{?dist}
Summary:        Readline and libedit replacement library

# The entire source code is BSD except wcwidth.cpp which is 0BSD and ConvertUTF.cpp under Unicode strict
License:        BSD and 0BSD and Unicode strict
URL:            https://github.com/AmokHuginnsson/replxx
Source0:        https://github.com/AmokHuginnsson/replxx/archive/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake, gcc, gcc-c++

%description
A small, portable GNU readline replacement for Linux, Windows and
MacOS which is capable of handling UTF-8 characters. Unlike GNU
readline, which is GPL, this library uses a BSD license and can be
used in any kind of program.

%package devel
Summary:        Development files for replxx
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for the replxx library.

%prep
%setup -q


%build
%cmake .
%cmake_build


%install
%cmake_install


%check
ctest -V %{?_smp_mflags}

%files
%license LICENSE.md
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/*.h
%{_includedir}/*.hxx
%{_datadir}/cmake/%{name}/*.cmake
%doc



%changelog
* Thu Nov 11 2021 Graham Leggett <minfrin@sharp.fm> - 0.0.4-2
- Initial version of the package

